<?php
 Function creation_table ($fichier, $nom)
  {
   Global $table, $aff, $id_sql, $sql_imp, $sql_base ;
   
   /*
    Structure d'un fichier DBF :
   
    ENTETE :
     Octet		Longueur	Contenu
     00			1 octet		Information diverse (?)
     01 02 03		3 octets	Derniere MAJ (YMD)
     04 05 06 07	4 octets	Nombre d'enregistrements
     08 09		2 octets	Longueur de l'entete
     10 11		2 octets	Longueur d'un enregistrement
     12 13 14 15 16
     17 18 19 20 21
     22 23 24 25 26
     27 28 29 30 31	20 octets	Renseignements divers

    Description d'un bloc de renseignements d'un champ :
     Octet		Longueur	Contenu
     00 01 02 03 04
     05 06 07 08 09
     10			11 octets	Nom du champ (complete par des 00)
     11			1 octet		Type de champ (C,D,F,L,M ou N)
     12 13 14 15	4 octets	Reserve
     16			1 octet		Longueur du champ (binaire)
     17			1 octet		Compteur decimal de champs
     18 19		2 octets	Reserves
     20			1 octet		Zone de travail
     21 22 23 24 25
     26 27 28 29 30
     31			11 octets	Reserves
   
    Caracteres 0D 00 (fin d'entete)
    Zone des donnees formattes en fonction des blocs precedents
   */
   
   $caracteres_1 = Chr(128).Chr(129).Chr(130).Chr(131).Chr(132).Chr(133).Chr(134).Chr(135).Chr(136).Chr(137).Chr(138).Chr(139).Chr(140).Chr(141).Chr(142).Chr(143).Chr(144).Chr(145).Chr(146).Chr(147).Chr(148).Chr(149).Chr(150).Chr(151) ;
   $caracteres_2 = "" ;
   $caracteres_3 = "CueaaaaceeeiiiAAEooouu" ;
   
   $nom = StrToUpper ($nom) ;
   $table [0] = $table [0] + 1 ;
   $table [$table [0]] = $nom ;
   
   If (IsSet ($repertoire)) { $f = FOpen ($repertoire."/".$fichier, "r") ; }
   Else { $f = FOpen ($fichier, "r") ; }
   $ligne = FRead ($f, 32) ;
   //$pos_donnees = Ord (SubStr ($ligne, 7, 1))*16777216+Ord (SubStr ($ligne, 6, 1))*65536+Ord (SubStr ($ligne, 9, 1))*256+Ord (SubStr ($ligne, 8, 1)) ;
   //$nbr_champs = ($pos_donnees - 34) / 32 ;
   
   $pos_donnees = Ord (SubStr ($ligne, 8, 1))+Ord (SubStr ($ligne, 9, 1))*256 ;
   $nbr_champs = ($pos_donnees - 34) / 32 ;
   $nbr_donnees = Ord (SubStr ($ligne, 7, 1))*16777216+Ord (SubStr ($ligne, 6, 1))*65536+Ord (SubStr ($ligne, 5, 1))*256+Ord (SubStr ($ligne, 4, 1)) ;
   
   $c = 0 ;
   $taille = 0 ;
 
   $requete = "CREATE TABLE ".$nom." (id INT AUTO_INCREMENT PRIMARY KEY" ;
   For ($i = 0 ; $i < $nbr_champs ; $i++)
    {
     $ligne = FRead ($f, 32) ;
     $requete .= "," ;
     $nom_champs = Explode (Chr (0), $ligne) ;
     $nbr = Ord (SubStr ($ligne, 16, 1)) ;
     $requete .= $nom_champs [0]." VARCHAR(".$nbr.") NOT NULL" ;
     $taille_champs [$c] = $nbr ;
     $taille += $nbr ;
     $c++ ;
    }
   $taille++ ;
   $requete .= ");" ;
   SQL_commande ($requete, $id_sql) ;

   $ligne = FRead ($f, 3) ;
   $compteur = 0 ;
   //While (!FEoF ($f))
   For ($k = 0 ; $k < $nbr_donnees ; $k++)
    {
     $ok = 0 ;
     $debut = 0 ;
     $ligne = FRead ($f, $taille) ;
     $compteur++ ;
     $requete = "INSERT INTO ".$nom." VALUES (''" ;
     For ($i = 0 ; $i < $c ; $i++)
      {
       $requete .= "," ;
       $fin = $taille_champs [$i] ;
       $chaine = SubStr ($ligne, $debut, $fin) ;
       $chaine = Str_Replace ("'", "\'", $chaine) ;
       For ($j = 0 ; $j < StrLen ($caracteres_1) ; $j++)
        {
	 $chaine = Str_Replace (SubStr ($caracteres_1, $j, 1), SubStr ($caracteres_2, $j, 1), $chaine) ;
	}
       $requete .= "'".$chaine."'" ;
       If ($chaine) { $ok = 1 ; }
       $debut += $taille_champs [$i] ;
      }
     $requete .= ");" ;
     If ($ok) { SQL_commande ($requete, $id_sql) ; }
    }
   FClose ($f) ;
  }
  
 // Creation des tables GEP temporaires
 $table [0] = 0 ;
 For ($cc = 1 ; $cc <= $imp_abs [0] ; $cc++)
  {
   If ($imp_abs [$cc])
    {
     $nom = "nom_".$cc ; //Eval ("\$nom = \"$nom\" ;") ;
     $nom1 = "nom_".$cc."_name" ; //Eval ("\$nom1 = \"$nom1\" ;") ;
     //echo $nom1."->".$_FILES ["$nom"]["name"]."<BR>" ;
     creation_table ($_FILES ["$nom"]["tmp_name"], SubStr ($_FILES ["$nom"]["name"], 0, StrPos ($_FILES ["$nom"]["name"], "."))) ;
    }
  }

 // Remplissage de la table calendrier
 $r0 = SQL_commande ("SELECT millesime FROM gestion WHERE id_gestion='1' LIMIT 1", $id_sql) ;
 $ligne = SQL_ligne_suivante ($r0) ;
 $an_deb = (integer)$ligne [0] ;
 $r1 = SQL_commande ("SELECT * FROM F_CALEND ORDER BY MOIS,JOUR", $id_sql) ;
 For ($i = 0 ; $i < SQL_nbr_lignes ($r1) ; $i++)
  {
   $l1 = SQL_tableau_associatif ($r1, "") ;
   If (($l1 ["MOIS"] > '08') And ($l1 ["MOIS"] < '13')) { $annee = $an_deb ; } Else { $annee = $an_deb+1 ; }
   If ($l1 ["OUVRABLE"] == "F") { $ouv = 0 ; } Else { $ouv = 1 ; }
   $r2 = SQL_commande ("SELECT SEMCOD FROM F_CALVAC
                         WHERE SEMDEB<='".$annee.$l1 ["MOIS"].$l1 ["JOUR"]."'
			   AND SEMFIN>='".$annee.$l1 ["MOIS"].$l1 ["JOUR"]."'
			   AND ZONE='B'
                         LIMIT 1", $id_sql) ;
   If (SQL_nbr_lignes ($r2) == 1) { $l2 = SQL_ligne_suivante ($r2) ; }
   // Existe ?
   $r4 = SQL_commande ("SELECT id_abs_calendrier FROM abs_calendrier
                         WHERE date='".$annee."-".$l1 ["MOIS"]."-".$l1 ["JOUR"]."'
			   AND ouvrable='".$ouv."'
			   AND semaine='".$l2 [0]."'
                         LIMIT 1", $id_sql) ;
   If (SQL_nbr_lignes ($r4) == 0)
    {
     // NON ! On enregistre...
     $r4 = SQL_commande ("INSERT INTO abs_calendrier
                           (id_abs_calendrier, date, ouvrable, semaine)
                          VALUES
    		           ('', '".$annee."-".$l1 ["MOIS"]."-".$l1 ["JOUR"]."', '".$ouv."', '".$l2 [0]."')", $id_sql) ;
    }
  }
 
 // Remplissage de la table horaires
 $r0 = SQL_commande ("SELECT * FROM F_CST", $id_sql) ;
 $l0 = SQL_tableau_associatif ($r0, "") ;

 $i = 1 ;
 While ($i < 25)
  {
   If ($i < 10) { $n1 = "0".$i ; } Else { $n1 = $i ; }
   If ($i < 9) { $n2 = "0".($i+1) ; } Else { $n2 = ($i+1) ; }
   Eval ("\$deb1 = \$l0 [\"CSTS".$n1."\"];") ;
   Eval ("\$dur1 = (integer)\$l0 [\"CSTD".$n1."\"];") ;
   Eval ("\$deb2 = \$l0 [\"CSTS".$n2."\"];") ;
   Eval ("\$dur2 = (integer)\$l0 [\"CSTD".$n2."\"];") ;
   Eval ("\$fin2 = \$l0 [\"CSTF".$n2."\"];") ;
   If ($dur1 > 0)
    {
     // Existe ?
     $r1 = SQL_commande ("SELECT id_abs_horaire FROM abs_horaires
                           WHERE debut='".SubStr ($deb1, 0, 2).":".SubStr ($deb1, 2, 2).":00'
	    	             AND fin='".SubStr ($deb2, 0, 2).":".SubStr ($deb2, 2, 2).":00'
			     AND duree='".($dur1*30)."'
			     AND nom=''
                           LIMIT 1", $id_sql) ;
     If (SQL_nbr_lignes ($r1) == 0)
      {
       // NON ! On enregistre...
       $r2 = SQL_commande ("INSERT INTO abs_horaires (id_abs_horaire, debut, fin, duree, nom)
                            VALUES ('".$i."', '".SubStr ($deb1, 0, 2).":".SubStr ($deb1, 2, 2).":00',
	  	                    '".SubStr ($deb2, 0, 2).":".SubStr ($deb2, 2, 2).":00',
                                    '".($dur1*30)."', '')", $id_sql) ;
      }
    }
   If ($dur2 > 0)
    {
     // Existe ?
     $r1 = SQL_commande ("SELECT id_abs_horaire FROM abs_horaires
                           WHERE debut='".SubStr ($deb2, 0, 2).":".SubStr ($deb2, 2, 2).":00'
	    	             AND fin='".SubStr ($fin2, 0, 2).":".SubStr ($fin2, 2, 2).":00'
			     AND duree='".($dur2*30)."'
			     AND nom=''
                           LIMIT 1", $id_sql) ;
     If (SQL_nbr_lignes ($r1) == 0)
      {
       // NON ! On enregistre...
       $r2 = SQL_commande ("INSERT INTO abs_horaires (id_abs_horaire, debut, fin, duree, nom)
                            VALUES ('".($i+1)."', '".SubStr ($deb2, 0, 2).":".SubStr ($deb2, 2, 2).":00',
	                            '".SubStr ($fin2, 0, 2).":".SubStr ($fin2, 2, 2).":00',
                                    '".($dur2*30)."', '')", $id_sql) ;
      }
    }
   $i += 2 ;
  }

 // Remplissage de la table salles
 $r1 = SQL_commande ("SELECT * FROM F_SAL ORDER BY SALCOD", $id_sql) ;
 For ($i = 0 ; $i < SQL_nbr_lignes ($r1) ; $i++)
  {
   $l1 = SQL_tableau_associatif ($r1, "") ;
   // Existe ?
   $r2 = SQL_commande ("SELECT id_abs_salle FROM abs_salles
                         WHERE nom='".$l1 ["SALCOD"]."'
			   AND capacite='".$l1 ["SALCAP"]."'
                         LIMIT 1", $id_sql) ;
   If (SQL_nbr_lignes ($r2) == 0)
    {
     // NON ! On enregistre...
     $r3 = SQL_commande ("INSERT INTO abs_salles (id_abs_salle, nom, capacite)
                          VALUES ('', '".$l1 ["SALCOD"]."', '".$l1 ["SALCAP"]."')", $id_sql) ;
    }
  }

 // Remplissage de la table validites
 $r1 = SQL_commande ("SELECT * FROM F_ALT ORDER BY ALTCOD", $id_sql) ;
 For ($i = 0 ; $i < SQL_nbr_lignes ($r1) ; $i++)
  {
   $l1 = SQL_tableau_associatif ($r1, "") ;
   $requete = "INSERT INTO abs_validites (id_abs_validite,code,nom_court,nom_long,numero,cout" ;
   $valide = "SELECT id_abs_validite FROM abs_validites WHERE" ;
   For ($j = 1 ; $j < 53 ; $j++)
    {
     $requete .= ",sem" ;
     If ($j < 10) { $requete .= "0" ; }
     $requete .= $j ;
    }
   $requete .= ") VALUES ('','".$l1 ["ALTCOD"]."','".$l1 ["ALTLIC"]."','".$l1 ["ALTLIL"]."','".$l1 ["ALTNUM"]."','".$l1 ["ALTCOU"]."'" ;
   $valide .= " code='".$l1 ["ALTCOD"]."' AND nom_court='".$l1 ["ALTLIC"]."' AND nom_long='".$l1 ["ALTLIL"]."' AND numero='".$l1 ["ALTNUM"]."' AND cout='".$l1 ["ALTCOU"]."'" ;
   For ($j = 1 ; $j < 53 ; $j++)
    {
     If ($j < 10) { $n1 = "0".$j ; } Else { $n1 = $j ; }
     Eval ("\$d = \$l1 [\"ALTS".$n1."\"];") ;
     $requete .= ",'".$d."'" ;
    }
   $requete .= ")" ;
   
   // Existe ?
   $r2 = SQL_commande ($valide." LIMIT 1", $id_sql) ;
   If (SQL_nbr_lignes ($r2) == 0)
    {
     // NON ! On enregistre...
     $resultat = SQL_commande ($requete, $id_sql) ;
    }
  }

 // Recherche des profs et insertion
 $r1 = SQL_commande ("SELECT * FROM F_WIND WHERE INDNNI!='' AND AISEXE>0 ORDER BY AINOMU,AIPREN", $id_sql) ;
 For ($i = 0 ; $i < SQL_nbr_lignes ($r1) ; $i++)
  {
   $l1 = SQL_tableau_associatif ($r1, "") ;
   Switch (SubStr ($l1 ["AICIVI"], 0, 2))
    {
     Case "M." : $civ = 2 ;
                 Break ;
     Case "MM" : $civ = 0 ;
                 Break ;
     Case "ML" : $civ = 1 ;
                 Break ;
     Default   : $civ = 0 ;
    }
   $r2 = SQL_commande ("SELECT * FROM utilisateurs WHERE numen='".$l1 ["INDNNI"]."'", $id_sql) ;
   // Le prof est-il deja enregistre ?
   If (SQL_nbr_lignes ($r2) == 0)
    {
     // NON ! Donc on enregistre...
     $r2 = SQL_commande ("INSERT INTO utilisateurs (nom, prenom, droits, civilite, theme, numen)
                          VALUES ('".Str_Replace ("'", "`", $l1 ["AINOMU"])."',
			          '".Str_Replace ("'", "`", $l1 ["AIPREN"])."', '".$droit_prof."',
			          '".$civ."', '1', '".$l1 ["INDNNI"]."')", $id_sql) ;
    }
   
   // Recupere le nouvel id du professeur
   $r3 = SQL_commande ("SELECT id_utilisateur FROM utilisateurs WHERE numen='".$l1 ["INDNNI"]."' LIMIT 1", $id_sql) ;
   $l3 = SQL_ligne_suivante ($r3) ;
   
   // Recherche services et disciplines du prof et insertion
   $r4 = SQL_commande ("SELECT * FROM F_MEN WHERE NUMIND='".$l1 ["NUMIND"]."' ORDER BY ELSTCO,MENNUM", $id_sql) ;
   For ($j = 0 ; $j < SQL_nbr_lignes ($r4) ; $j++)
    {
     $l4 = SQL_tableau_associatif ($r4, "") ;
     
     // Recupere le numero de la discipline
     $r5 = SQL_commande ("SELECT * FROM F_TMT WHERE MATIMN='".Str_Replace ("'", "`", $l4 ["MATIMN"])."'", $id_sql) ;
     $l5 = SQL_tableau_associatif ($r5, "") ;
     
     
     // La discipline est-elle deja enregistree ?
     $r6 = SQL_commande ("SELECT id_discipline,code FROM disciplines WHERE nom_bref='".Str_Replace ("'", "`", $l4 ["MATIMN"])."' LIMIT 1", $id_sql) ;

     If (SQL_nbr_lignes ($r6) == 0)
      {
       // NON ! donc on enregistre...
       $r7 = SQL_commande ("INSERT INTO disciplines (nom_long, nom_court, nom_bref, code)
                            VALUES ('".Str_Replace ("'", "`", $l5 ["MATILL"])."',
			            '".Str_Replace ("'", "`", $l5 ["MATILC"])."',
			            '".Str_Replace ("'", "`", $l4 ["MATIMN"])."',
				    '".Str_Replace ("'", "`", $l4 ["DISCCO"])."')", $id_sql) ;
       $r6 = SQL_commande ("SELECT id_discipline,code FROM disciplines WHERE nom_bref='".Str_Replace ("'", "`", $l4 ["MATIMN"])."' LIMIT 1", $id_sql) ;
      }
     // Recupere le nouvel id de la discipline
     $l6 = SQL_ligne_suivante ($r6) ;

     // Definition service professeur
     If ($l4 ["ELSTTY"] == "D")
      {
       // Division complete
       $r7 = SQL_commande ("SELECT id_classe,nom_bref FROM classes WHERE nom_bref='".$l4 ["ELSTCO"]."' LIMIT 1", $id_sql) ;
       $l7 = SQL_ligne_suivante ($r7) ;
       
       // Insertion de l'emploi du temps
       $r11 = SQL_commande ("SELECT * FROM F_COU WHERE MENNUM='".$l4 ["MENNUM"]."'", $id_sql) ;
       For ($k = 0 ; $k < SQL_nbr_lignes ($r11) ; $k++)
        {
	 $l11 = SQL_tableau_associatif ($r11, "") ;
	 $r12 = SQL_commande ("SELECT id_abs_salle FROM abs_salles WHERE nom='".$l11 ["SALCOD"]."' LIMIT 1", $id_sql) ;
	 $l12 = SQL_ligne_suivante ($r12) ;
	 $r13 = SQL_commande ("SELECT id_abs_validite FROM abs_validites WHERE code='".$l11 ["ALTCOD"]."' LIMIT 1", $id_sql) ;
	 $l13 = SQL_ligne_suivante ($r13) ;
	 // Est-ce que l'edt existe ?
	 $r14 = SQL_commande ("SELECT id_abs_edt FROM abs_edt
	                        WHERE professeur='".$l3 [0]."'
				  AND numen_prof='".$l1 ["INDNNI"]."'
				  AND discipline='".$l6 [0]."'
				  AND code_disc='".$l6 [1]."'
				  AND classe='".$l7 [0]."'
				  AND code_classe='".$l7 [1]."'
				  AND abs_groupe='0'
				  AND jour='".$l11 ["COUJOU"]."'
				  AND abs_horaire='".$l11 ["COUSEQ"]."'
				  AND abs_salle='".$l12 [0]."'
				  AND abs_validite='".$l13 [0]."'
                                LIMIT 1", $id_sql) ;
         If (SQL_nbr_lignes ($r14) == 0)
          {
	   // Non ! On enregistre...
	   $r14 = SQL_commande ("INSERT INTO abs_edt
	                          (id_abs_edt,professeur,numen_prof,discipline,code_disc,classe,code_classe,
			  	   abs_groupe,jour,abs_horaire,abs_salle,abs_validite)
                                 VALUES ('','".$l3 [0]."','".$l1 ["INDNNI"]."','".$l6 [0]."','".$l6 [1]."','".$l7 [0]."','".$l7 [1]."',
				         '0','".$l11 ["COUJOU"]."','".$l11 ["COUSEQ"]."','".$l12 [0]."','".$l13 [0]."')", $id_sql) ;
          }
	}
      }
     Else // Groupe seulement
      {
       // Recherche le code division
       $r7 = SQL_commande ("SELECT DIVCOD FROM F_GPD WHERE GROCOD='".$l4 ["ELSTCO"]."' LIMIT 1", $id_sql) ;
       $l7 = SQL_ligne_suivante ($r7) ;
       
       // Recupere l'id de la classe
       $r8 = SQL_commande ("SELECT id_classe FROM classes WHERE nom_bref='".$l7 [0]."' LIMIT 1", $id_sql) ;
       $l8 = SQL_ligne_suivante ($r8) ;
       
       // Le groupe existe-t-il ?
       $r10 = SQL_commande ("SELECT id_abs_groupe_classe FROM abs_groupes_classe
	                      WHERE code_groupe='".Str_Replace ("'", "`", $l4 ["ELSTCO"])."'
			        AND classe='".$l8 [0]."'
			        AND code_classe='".$l7 [0]."' LIMIT 1", $id_sql) ;
       If (SQL_nbr_lignes ($r10) == 0)
        {
	 // NON ! ON enregistre...
         // Enregistre le groupe de classe
         $r9 = SQL_commande ("INSERT INTO abs_groupes_classe
	                       (id_abs_groupe_classe,code_groupe,classe,code_classe)
                              VALUES
			       ('','".Str_Replace ("'", "`", $l4 ["ELSTCO"])."','".$l8 [0]."','".$l7 [0]."')", $id_sql) ;
         // Recupere le nouvel id de groupe
         $r10 = SQL_commande ("SELECT id_abs_groupe_classe FROM abs_groupes_classe
	                        WHERE code_groupe='".Str_Replace ("'", "`", $l4 ["ELSTCO"])."'
			          AND classe='".$l8 [0]."'
			          AND code_classe='".$l7 [0]."'", $id_sql) ;
        }
       $l10 = SQL_ligne_suivante ($r10) ;
       
       // Insertion de l'emploi du temps
       $r11 = SQL_commande ("SELECT * FROM F_COU WHERE MENNUM='".$l4 ["MENNUM"]."'", $id_sql) ;
       For ($k = 0 ; $k < SQL_nbr_lignes ($r11) ; $k++)
        {
	 $l11 = SQL_tableau_associatif ($r11, "") ;
	 $r12 = SQL_commande ("SELECT id_abs_salle FROM abs_salles WHERE nom='".$l11 ["SALCOD"]."' LIMIT 1", $id_sql) ;
	 $l12 = SQL_ligne_suivante ($r12) ;
	 $r13 = SQL_commande ("SELECT id_abs_validite FROM abs_validites WHERE code='".$l11 ["ALTCOD"]."' LIMIT 1", $id_sql) ;
	 $l13 = SQL_ligne_suivante ($r13) ;
	 // Est-ce que l'edt existe ?
	 $r14 = SQL_commande ("SELECT id_abs_edt FROM abs_edt
	                        WHERE professeur='".$l3 [0]."'
				  AND numen_prof='".$l1 ["INDNNI"]."'
				  AND discipline='".$l6 [0]."'
				  AND code_disc='".$l6 [1]."'
				  AND classe='".$l8 [0]."'
				  AND code_classe='".$l7 [0]."'
				  AND abs_groupe='".$l10 [0]."'
				  AND jour='".$l11 ["COUJOU"]."'
				  AND abs_horaire='".$l11 ["COUSEQ"]."'
				  AND abs_salle='".$l12 [0]."'
				  AND abs_validite='".$l13 [0]."'
                                LIMIT 1", $id_sql) ;
         If (SQL_nbr_lignes ($r14) == 0)
          {
	   // Non ! On enregistre...
	   $r15 = SQL_commande ("INSERT INTO abs_edt
	                          (id_abs_edt,professeur,numen_prof,discipline,code_disc,classe,code_classe,
				   abs_groupe,jour,abs_horaire,abs_salle,abs_validite)
                                 VALUES ('','".$l3 [0]."','".$l1 ["INDNNI"]."','".$l6 [0]."','".$l6 [1]."','".$l8 [0]."','".$l7 [0]."',
				         '".$l10 [0]."','".$l11 ["COUJOU"]."','".$l11 ["COUSEQ"]."','".$l12 [0]."','".$l13 [0]."')", $id_sql) ;
          }
	}
      }
    }
  }

 // Recherche des groupes d'eleves existant
 $r1 = SQL_commande ("SELECT * FROM abs_groupes_classe ORDER BY code_classe", $id_sql) ;
 For ($i = 0 ; $i < SQL_nbr_lignes ($r1) ; $i++)
  {
   $l1 = SQL_tableau_associatif ($r1, "") ;
   $r2 = SQL_commande ("SELECT * FROM groupes_classe WHERE code_groupe='".$l1 ["code_groupe"]."' LIMIT 1", $id_sql) ;
   If (SQL_nbr_lignes ($r2) > 0)
    {
     // Existe donc insere les eleves de ce groupe
     $l2 = SQL_tableau_associatif ($r2, "") ;
     $r3 = SQL_commande ("SELECT * FROM groupes_eleve WHERE groupe='".$l2 ["id_groupe_classe"]."'", $id_sql) ;
     For ($j = 0 ; $j < SQL_nbr_lignes ($r3) ; $j++)
      {
       $l3 = SQL_tableau_associatif ($r3, "") ;
       // Est-ce que le groupe existe ?
       $r4 = SQL_commande ("SELECT id_abs_groupe_eleve FROM abs_groupes_eleve
                             WHERE eleve='".$l3 ["eleve"]."'
			       AND repere1='".$l3 ["repere1"]."'
			       AND repere2='".$l3 ["repere2"]."'
			       AND abs_groupe_classe='".$l1 ["id_abs_groupe_classe"]."'
                             LIMIT 1", $id_sql) ;
       If (SQL_nbr_lignes ($r4) == 0)
        {
         // Non ! On enregistre...
         $r5 = SQL_commande ("INSERT INTO abs_groupes_eleve
                               (id_abs_groupe_eleve,eleve,repere1,repere2,abs_groupe_classe)
                              VALUES
			       ('','".$l3 ["eleve"]."','".$l3 ["repere1"]."','".$l3 ["repere2"]."','".$l1 ["id_abs_groupe_classe"]."')", $id_sql) ;
        }
      }
    }
  }

 // Destruction des tables GEP temporaires
 For ($i = 1 ; $i <= $table [0] ; $i++)
  {
   $ok = SQL_commande ("DROP TABLE ".$table [$i], $id_sql) ;
  }

 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0'", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ; 
 Echo "<HTML><HEAD>" ;
 entete_html ("Garennes", "travail", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 Echo "</HEAD>" ;
 
 Echo "<BODY BACKGROUND=\"../images/fond.png\" TEXT=\"#000000\" onContextMenu=\"return false\">" ;
 Echo "<CENTER><FONT COLOR=\"#0000FF\">Mise&nbsp;place&nbsp;du&nbsp;module&nbsp;ABSENCES&nbsp;:&nbsp;Insertion&nbsp;d'une&nbsp;base&nbsp;provenant&nbsp;de&nbsp;GEP&nbsp;(3/3)&nbsp;</FONT></CENTER>" ;
 Echo "<TABLE BORDER=\"1\" BGCOLOR=\"".$l ["couleur_fond"]."\" CELLPADDING=\"0\" CELLSPACING=\"0\" ALIGN=\"CENTER\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
 Echo "<TR><TD>" ;
 Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" WIDTH=\"100%\" STYLE=\"border-collapse:collapse\">" ;
 Echo "<TR><TD COLSPAN=\"2\">" ;
 Echo "<BR><CENTER>&nbsp;Importation GEP effectu&eacute;e&nbsp;</CENTER><BR><BR>" ;
 Echo "&nbsp;Vous pouvez utiliser le module ABSENCES&nbsp;<BR>&nbsp;" ;
 Echo "</TD></TR></TABLE>" ;
 Echo "</TD></TR></TABLE>" ;
 Echo "</BODY></HTML>" ;
?>