<?php
 /** @package Garennes - Fonctions du cahier de textes */
 /**
 * Generation de la progression personnel ou de la classe au format HTML
 * @param int $date_consultation Date de la consultation
 * @param int $id_service_prof Identifiant du service prof
 * @param int $id_classe Identifiant de la classe
 * @param int $mode Mode de generation (0=sans liens,1=avec liens,2=Sans liens mode agenda travail,3=Avec liens mode agenda travail,4=Sans liens mode agenda devoir,5=Avec liens mode agenda devoir)
 * @param int $type_cahier Type de cahier (0=Notice,>0=Travail a faire) Si $mode = 0 ou 1
 *                         Identifiant cahier de textes Si $mode = 2 ou 3
 *                         Identifiant cahier de devoirs Si $mode = 4 ou 5
 * @param string $html_plus_avant HTML en plus a jouter avant la generation Si $type_cahier=0
 *                                Couleur de fond Si $type_cahier > 0 et ($mode = 0 Ou $mode = 1)
 *                                Couleur de fond Si $mode = 2, 3, 4 ou 5
 * @param string $html_plus_apres HTML en plus a jouter apres la generation
 * @param int $tri Tri de la progression (0=Descendant,1=Ascendant)
 * @param array $theme Tableau des couleurs [0]=Nombre, [1]=Couleur 1, [2]=Couleur 2,... [x]=Couleur x
 * @param int $type_gen Type de generation a faire (0=Normal (affichage) ; 1=PDF)
 * @return string Texte de la progression au format HTML
 */
 Function generation_progression ($date_consultation, $id_service_prof, $id_classe, $mode, $type_cahier, $html_plus_avant, $html_plus_apres, $tri, $theme, $type_gen)
  {
   Global $http_garennes, $repertoire_racine, $civilites, $droit_courant, $droit_prof, $droit_eleve, $id_sql ;
   $lgn = "" ;
   $dt = Explode (" ", $date_consultation) ;
   If (($mode >= 0) And ($mode <= 1))
    {
     If (($dt [0] != "") And ($id_service_prof == ""))
      {
       $id_service_prof = "" ;
       $requete = "SELECT t.id_cahier_texte,t.heure_debut,t.duree,t.groupe,t.texte,d.nom_court,t.id_service_prof,s.professeur
                     FROM cahier_textes t,services_prof s,disciplines d
                    WHERE t.date='".$dt [0]."' AND t.id_service_prof=s.id_service_prof AND s.classe='".$id_classe."'
  		    AND s.discipline=d.id_discipline AND t.cahier_type='".$type_cahier."'" ;
       If ($type_cahier == 0) { $requete .= " ORDER BY t.heure_debut ASC" ; } Else { $requete .= " ORDER BY d.nom_court" ; }
       $resultat = SQL_commande ($requete, $id_sql) ;
       $mode_aff = 0 ;
      }
     Else
      {
       $date_consultation = "" ;
       If ($type_cahier == 0) { If ($tri == 0) { $plus = " DESC" ; } Else { $plus = " ASC" ; } } Else { $plus = " ASC" ; }
       $resultat = SQL_commande ("SELECT id_cahier_texte,heure_debut,duree,groupe,texte,date FROM cahier_textes WHERE id_service_prof='".$id_service_prof."' AND cahier_type='".$type_cahier."' ORDER BY date ".$plus.",heure_debut", $id_sql) ;
       $mode_aff = 1 ;
      }
    }
   ElseIf (($mode >= 2) And ($mode <= 3))
    {
     $id_service_prof = "" ;
     $requete = "SELECT t.id_cahier_texte,t.heure_debut,t.duree,t.groupe,t.texte,d.nom_court,t.id_service_prof
                   FROM cahier_textes t,services_prof s,disciplines d
                  WHERE t.id_cahier_texte='".$type_cahier."' AND t.id_service_prof=s.id_service_prof AND s.classe='".$id_classe."'
  		    AND s.discipline=d.id_discipline ORDER BY d.nom_court" ;
     $resultat = SQL_commande ($requete, $id_sql) ;
     $mode_aff = 0 ;
    }
   ElseIf (($mode >= 4) And ($mode <= 5))
    {
     $id_service_prof = "" ;
     $requete = "SELECT t.id_cahier_devoir,t.heure_debut,t.duree,t.groupe,t.texte,d.nom_court,t.id_service_prof
                   FROM cahier_devoirs t,services_prof s,disciplines d
                  WHERE t.id_cahier_devoir='".$type_cahier."' AND t.id_service_prof=s.id_service_prof AND s.classe='".$id_classe."'
  		    AND s.discipline=d.id_discipline ORDER BY d.nom_court" ;
 
     $resultat = SQL_commande ($requete, $id_sql) ;
     $mode_aff = 0 ;
    }
   $nbr_resultats = SQL_nbr_lignes ($resultat) ;
   If ($nbr_resultats > 0)
    {
     If ($type_cahier == 0)
      {
       If ($html_plus_avant != "") { $lgn .= $html_plus_avant ; }
       $lgn .= "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"".$theme [1]."\" width=\"100%\" style=\"border-collapse: collapse" ;
       If (($droit_courant == $droit_eleve) Or ($type_gen == 1)) { $lgn .= ";border: solid 1px ".$theme [1].";" ; }
       $lgn .= "\">" ;
      }
     
     $rep = cahier_textes_repertoire_stockage ($id_classe) ;
     If (($type_cahier > 0) And (($mode == 0) Or ($mode == 1)))
      {
       $lgn .= "<tr" ; If ($html_plus_avant != "") { $lgn .= " bgcolor=\"".$html_plus_avant."\"" ; $couleur = $html_plus_avant ; } Else { $couleur = "" ; }
       $lgn .= "><td colspan=\"5\" height=\"5\"><font size=\"-6\"><b>Travail&nbsp;&agrave;&nbsp;faire&nbsp;:&nbsp;</b></font></td></tr>" ;
      }
     Else { $couleur = $html_plus_avant ; }
     For ($i = 0 ; $i < $nbr_resultats ; $i++)
      {
       $lgn .= "<tr" ;
       If ($type_cahier == 0)
        {
	 $lgn .= " bgcolor=\"".$theme [$i%$theme [0]+1]."\"" ;
	 $couleur = $theme [$i%$theme [0]+1] ;
	}
       ElseIf ($couleur != "") { $lgn .= " bgcolor=\"".$couleur."\"" ; }
       $lgn .= "><td colspan=\"5\" height=\"5\"></td></tr>" ;
       
       $ligne = SQL_ligne_suivante ($resultat) ;
       $dd = Explode (":", $ligne [1]) ;
       $hd = $dd [0] ; $md = $dd [1] ; $sd = $dd [2] ;
       
       $lgn .= "<tr" ; If ($couleur != "") { $lgn .= " bgcolor=\"".$couleur."\"" ; }
       $lgn .= "><td valign=\"middle\"><font size=\"-2\">&nbsp;" ;
       If ($mode_aff == 1)
	{
         If ($type_cahier == 0)
          {
	   $couleur_fond = "#ffffff" ;
	   $couleur_bord = "#000000" ;
	   If ($type_gen == 0) { $style_bord = "dotted" ; } Else { $style_bord = "solid" ; }
	   $lgn .= jour_html ($ligne [5]." 00:00:00", 1)."&nbsp;".decode_date_4 ($ligne [5])."&nbsp;<br>&nbsp;" ;
           $lgn .= "<b>".Str_Replace (":", "H", SubStr ($ligne [1], 0, 5))."&nbsp;&agrave;&nbsp;".Str_Replace (":", "H", Date ("H:i", MkTime ((integer)$hd,(integer)$md,(integer)($sd+$ligne [2]),1,1,2008)))."</b>&nbsp;<br>" ;
           $lgn .= "&nbsp;<br>&nbsp;".$ligne [3]."&nbsp;<br>" ;
	  }
         ELse
          {
	   $couleur_fond_titre = "#ecacbf" ;
	   $couleur_fond = "#ffffff" ;
	   $couleur_bord = "#ff0000" ;
	   If ($type_gen == 0) { $style_bord = "dotted" ; } Else { $style_bord = "solid" ; }
	   If (($mode == 0) Or ($mode == 1))
	    {
	     $lgn .= "<span style=\"border: solid 1px ".$couleur_bord.";background-color: ".$couleur_fond_titre."\">&nbsp;" ;
	     $lgn .= "Pour&nbsp;le&nbsp;".jour_html ($ligne [5]." 00:00:00", 1)."&nbsp;".decode_date_4 ($ligne [5]) ;
	     $lgn .= "&nbsp;</span>&nbsp;<br>" ;
	    }
	   ElseIf (($mode == 2) Or ($mode == 3))
	    {
	     $lgn .= "&nbsp;<b>".$ligne [5]."</b>&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;".Str_Replace (" ","&nbsp;", nom_prenom_utilparservice_prof ($id_service_prof, 2+($droit_courant==$droit_eleve))) ;
	    }
	   Else
	    {
	     $lgn .= "&nbsp;<b>".$ligne [5]."</b>&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;".Str_Replace (" ","&nbsp;", nom_prenom_utilparservice_prof ($id_service_prof, 2+($droit_courant==$droit_eleve)))."&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;Heure&nbsp;:&nbsp;".Str_Replace (":", "H", SubStr ($ligne [1], 0, 5))."&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;Dur&eacute;e&nbsp;:&nbsp;".Str_Replace (":", "H", Date ("H:i", MkTime (0,0,(integer)$ligne [2],1,1,2008)))."&nbsp;<br>&nbsp;" ;
	    }
	  }
  	}
       Else
        {
	 $id_service_prof = $ligne [6] ;
	 If ($type_cahier == 0)
          {
	   $couleur_fond = "#ffffff" ;
	   $couleur_bord = "#000000" ;
	   If ($type_gen == 0) { $style_bord = "dotted" ; } Else { $style_bord = "solid" ; }
	   $lgn .= "<b>".Str_Replace (":", "H", SubStr ($ligne [1], 0, 5))."&nbsp;&agrave;&nbsp;" ;
           $lgn .= Str_Replace (":", "H", Date ("H:i", MkTime ((integer)$hd,(integer)$md,(integer)($sd+$ligne [2]),1,1,2008)))."</b>&nbsp;<br>&nbsp;<i>".$ligne [5]."</i>&nbsp;<br>&nbsp;" ;
	   $lgn .= Str_Replace (" ","&nbsp;", nom_prenom_utilparservice_prof ($id_service_prof, 2+($droit_courant==$droit_eleve))) ;
	   $lgn .= "&nbsp;<br>&nbsp;".$ligne [3]."&nbsp;<br>" ;
	  }
	 Else
	  {
	   $couleur_fond_titre = "#ecacbf" ;
	   $couleur_fond = "#ffffff" ;
	   $couleur_bord = "#ff0000" ;
	   If ($type_gen == 0) { $style_bord = "dotted" ; } Else { $style_bord = "solid" ; }
	   If (($mode == 0) Or ($mode == 1))
	    {
	     $lgn .= "<span style=\"border:solid 1px ".$couleur_bord.";background-color: ".$couleur_fond_titre."\">&nbsp;" ;
	     $lgn .= "Pour&nbsp;le&nbsp;".jour_html ($date_consultation, 1)."&nbsp;".decode_date_4 ($date_consultation) ;
	     $lgn .= "&nbsp;</span>&nbsp;<br>" ;
	    }
	   ElseIf (($mode == 2) Or ($mode == 3))
	    {
	     $lgn .= "&nbsp;<b>".$ligne [5]."</b>&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;".Str_Replace (" ","&nbsp;", nom_prenom_utilparservice_prof ($id_service_prof, 2+($droit_courant==$droit_eleve)))."&nbsp;" ;
	    }
	   Else
	    {
	     $lgn .= "&nbsp;<b>".$ligne [5]."</b>&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;".Str_Replace (" ","&nbsp;", nom_prenom_utilparservice_prof ($id_service_prof, 2+($droit_courant==$droit_eleve)))."&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;Heure&nbsp;:&nbsp;".Str_Replace (":", "H", SubStr ($ligne [1], 0, 5))."&nbsp;<br>&nbsp;" ;
	     $lgn .= "&nbsp;Dur&eacute;e&nbsp;:&nbsp;".Str_Replace (":", "H", Date ("H:i", MkTime (0,0,(integer)$ligne [2],1,1,2008)))."&nbsp;<br>&nbsp;" ;
	    }
	  }
	}
       $lgn .= "&nbsp;</font></td>" ;
       //$lgn .= "<td bgcolor=\"".$couleur_fond."\" style=\"border-left: ".$style_bord." 1px ".$couleur_bord.";border-top: ".$style_bord." 1px ".$couleur_bord.";border-bottom: ".$style_bord." 1px ".$couleur_bord."\" width=\"5\">&nbsp;</td>" ;
       //$lgn .= "<td bgcolor=\"".$couleur_fond."\" style=\"border-top: ".$style_bord." 1px ".$couleur_bord.";border-bottom: ".$style_bord." 1px ".$couleur_bord."\">".$ligne [4]."</td>" ;
       //$lgn .= "<td bgcolor=\"".$couleur_fond."\" style=\"border-right: ".$style_bord." 1px ".$couleur_bord.";border-top: ".$style_bord." 1px ".$couleur_bord.";border-bottom: ".$style_bord." 1px ".$couleur_bord."\" width=\"5\">&nbsp;</td>" ;
       $lgn .= "<td bgcolor=\"".$couleur_fond."\" style=\"border: ".$style_bord." 1px ".$couleur_bord.";padding: 0px 5px 0px 5px;\">".$ligne [4]."</td>" ;
       $lgn .= "<td" ; If ($couleur != "") { $lgn .= " bgcolor=\"".$couleur."\"" ; }
       $lgn .= " width=\"5\">&nbsp;</td></tr>" ;
       
       $res = SQL_commande ("SELECT id_cahier_document,document,taille,titre FROM cahier_documents WHERE id_cahier_texte='".$ligne [0]."' ORDER BY date", $id_sql) ;
       $nbr_res = SQL_nbr_lignes ($res) ;
       If ($nbr_res > 0)
        {
         $lgn .= "<tr" ; If ($couleur != "") { $lgn .= " bgcolor=\"".$couleur."\"" ; }
         $lgn .= "><td align=\"right\" valign=\"top\"><font size=\"-6\"><b>" ;
	 If ($nbr_res > 1) { $lgn .= "Documents&nbsp;pr&eacute;sents" ; } Else { $lgn .= "Document&nbsp;pr&eacute;sent" ; }
	 $lgn .= "&nbsp;:&nbsp;</b></font></td><td colspan=\"4\"><font size=\"-6\">" ;
         For ($j = 0 ; $j < $nbr_res ; $j++)
          {
           $ll = SQL_ligne_suivante ($res) ;
           If (File_Exists ($repertoire_racine.$rep.$ll [1]))
            {
             If ($ll [3] != "") { $nom_doc = $ll [3] ; }
             Else
              {
               $p = StrRPos ($ll [1], "/") ;
               $nom_doc = SubStr ($ll [1], $p+1, StrLen ($ll [1])-$p) ;
              }
             If ($j > 0) { $lgn .= ", " ; }
	     If (($mode == 1) Or ($mode == 3) Or ($mode == 5)) { $lgn .= "<a href=\"javascript:ouvrefenetre('".$http_garennes.$rep.$ll [1]."')\" title=\"Visualiser...\">" ; }
	     $lgn .= "<i>&nbsp;".$nom_doc."&nbsp;</i>" ;
	     If (($mode == 1) Or ($mode == 3) Or ($mode == 5)) { $lgn .= "</a>" ; }
             $lgn .= "&nbsp;(".Str_Replace (".",",",Round ($ll [2]/1024,3))."ko)&nbsp;" ;
            }
           Else
            {
             // Nettoyage
             $ok = SQL_commande ("DELETE FROM cahier_documents WHERE id_cahier_document='".$ll [0]."' LIMIT 1", $id_sql) ;
            }
          }
         $lgn .= "</font></td></tr>" ;
        }
       Else
        {
         $lgn .= "<tr" ; If ($couleur != "") { $lgn .= " bgcolor=\"".$couleur."\"" ; }
         $lgn .= "><td align=\"center\" colspan=\"5\"" ;
	 If ($type_cahier == 0) { $lgn .= "><font size=\"-6\"><b>Aucun&nbsp;document&nbsp;n'a&nbsp;&eacute;t&eacute;&nbsp;mis&nbsp;&agrave;&nbsp;disposition&nbsp;pour&nbsp;cette&nbsp;s&eacute;ance...&nbsp;</b></font>" ; }
	 Else { $lgn .= " height=\"5\">" ; }
	 $lgn .= "</td></tr>" ;
        }
       If ($type_cahier == 0) { $lgn .= generation_progression ("", $id_service_prof, $id_classe, $mode, $ligne [0], $couleur, "", $tri) ; }
      }
     If ($type_cahier == 0) { $lgn .= "</table>" ; }
     If ($html_plus_apres != "") { $lgn .= $html_plus_apres ; }
    }
   Else
    {
     If ($type_cahier == 0) { $lgn .= "<center><h2><b>Aucun&nbsp;cahier&nbsp;de&nbsp;texte&nbsp;entr&eacute;...&nbsp;</b></h2></center>" ; }
    }
   Return $lgn ;
  }
 
 /**
 * Generation de l'agenda des devoirs ou du travail a faire (ou les deux)
 * @param int $type_agenda Type de generation (0=Devoirs seuls,1=Travail a faire seul,2=Les deux en même temps)
 * @param int $id_classe Identifiant de la classe
 * @param string $date_debut Date de debut d'affichage (sur une semaine) format AAAA-MM-JJ
 * @param array $theme_h Tableau des couleurs horizontales [0]=Nombre, [1]=Couleur 1, [2]=Couleur 2,... [x]=Couleur x
 * @param array $theme_v Tableau des couleurs verticales [0]=Nombre, [1]=Couleur 1, [2]=Couleur 2,... [x]=Couleur x
 * @return string Texte de l'agenda au format HTML
 */
 Function generation_agenda ($type_agenda,$id_classe,$date_debut,$theme_h,$theme_v)
  {
   Global $civilites, $droit_courant, $droit_prof, $droit_eleve, $id_sql, $nom_jour_maj, $nom_mois ;
   // Recherche le premier jour : Lundi
   $dt = Explode ("-", $date_debut) ;
   $num_jour = Date ("w", MkTime (6,0,0,$dt [1],$dt [2],$dt [0])) ;
   If ($num_jour == 0) { $num_jour = 7 ; }
   $date_debut = Date ("Y-m-d", MkTime (6,0,0,$dt [1],$dt [2]-$num_jour+1,$dt [0])) ;
   $dt = Explode ("-", $date_debut) ;
   $lgn = "" ;

   $id_etab = id_etablissement_par_id_classe ($id_classe) ;
   // Jours ouvres
   $jo = restaure_configuration_defaut ("SYSTEME_PARAM", "CAHIER_TEXTES", "JOURS_".$id_etab, "1|2|3|4|5|6") ;
   $jours = Explode ("|", $jo) ;
   $lgn .= "<table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse;border: solid 1px #000000;\"><tr>" ;
   // Entetes
   $compteur = 0 ;
   For ($j = 1 ; $j <= 6 ; $j++)
    {
     $k = $ok = 0 ;
     While (($k < 6) And ($ok == 0)) { If ($jours [$k] == $j) { $ok = $j ; } $k++; }
     If ($ok > 0)
      {
       $compteur++ ;
       $date_courante = Date ("Y-m-d", MkTime (6,0,0,$dt [1],$dt [2]+$j-1,$dt [0])) ;
       $dtc = Explode ("-", $date_courante) ;
       $lgn .= "<td align=\"center\" bgcolor=\"".$theme_v [$compteur%$theme_v [0]+1]."\">&nbsp;<b>".$nom_jour_maj [$j]."&nbsp;".$dtc [2]."&nbsp;".$nom_mois [(integer)$dtc [1]]."&nbsp;".$dtc [0]."&nbsp;</td>" ;
       $jour_ok [$j] = 1 ;
      }
     Else { $jour_ok [$j] = 0 ; }
    }
   $lgn .= "</tr>" ;
   // Contenu
   
   $lgn_travail = "" ;
   $lgn_devoir = "" ;
   $compteur = 0 ;
   For ($j = 1 ; $j <= 6 ; $j++)
    {
     If ($jour_ok [$j] == 1)
      {
       $compteur++ ;
       $lgn_travail .= "<td valign=\"top\" bgcolor=\"".$theme_v [$compteur%$theme_v [0]+1]."\">" ;
       $lgn_devoir .= "<td valign=\"top\" bgcolor=\"".$theme_v [$compteur%$theme_v [0]+1]."\">" ;
       // Modification, ajouter, supprimer
       $date_courante = Date ("Y-m-d", MkTime (6,0,0,$dt [1],$dt [2]+$j-1,$dt [0])) ;
       $nbr = 0 ;
       If (($type_agenda == 1) Or ($type_agenda == 2))
        {
	 // Recherche des notices de travail a faire pour ce jour
	 $resultat = SQL_commande ("SELECT t.id_cahier_texte 
	                              FROM cahier_textes t,services_prof s,disciplines d
                                     WHERE t.date='".$date_courante."' AND t.id_service_prof=s.id_service_prof AND s.classe='".$id_classe."'
  		                       AND s.discipline=d.id_discipline AND t.cahier_type>0 AND t.publication='1' ORDER BY d.nom_court", $id_sql) ;
	 $nbr = SQL_nbr_lignes ($resultat) ;
	 If ($nbr > 0)
	  {
	   If ($type_agenda == 2) { $lgn_travail .= "<font size=\"-6\"><b>Travail&nbsp;&agrave;&nbsp;faire&nbsp;:&nbsp;</b></font><br>" ; }
	   $lgn_travail .= "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">" ;
	   For ($i = 0 ; $i < $nbr ; $i++)
	    {
	     $ligne = SQL_ligne_suivante ($resultat) ;
	     $lgn_travail .= generation_progression ($date_courante." 00:00:00", "", $id_classe, 3, $ligne [0], $theme_h [$i%$theme_h [0]+1], "", 1, $theme_h) ;
	    }
	   $lgn_travail .= "</table>&nbsp;" ;
	  }
	 Else
	  {
	   If ($type_agenda == 2) { $lgn_travail .= "<font size=\"-6\"><b>Travail&nbsp;&agrave;&nbsp;faire&nbsp;:&nbsp;<br>" ; }
	   $lgn_travail .= "<br>&nbsp;Aucun</b></font><br>&nbsp;" ;
	  }
        }
       If (($type_agenda == 0) Or ($type_agenda == 2))
        {
	 // Recherche des notices de devoirs pour ce jour
	 $resultat = SQL_commande ("SELECT t.id_cahier_devoir 
	                              FROM cahier_devoirs t,services_prof s,disciplines d
                                     WHERE t.date='".$date_courante."' AND t.id_service_prof=s.id_service_prof AND s.classe='".$id_classe."'
  		                       AND s.discipline=d.id_discipline AND t.publication='1' ORDER BY d.nom_court", $id_sql) ;
	 $nbr = SQL_nbr_lignes ($resultat) ;
	 If ($nbr > 0)
	  {
	   If ($type_agenda == 2)
	    {
	     If ($nbr > 1) { $plus = "s" ; } Else { $plus = "" ; }
	     $lgn_devoir .= "<font size=\"-6\"><b>Devoir".$plus."&nbsp;:&nbsp;</b></font><br>" ;
	    }
	   $lgn_devoir .= "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">" ;
	   For ($i = 0 ; $i < $nbr ; $i++)
	    {
	     $ligne = SQL_ligne_suivante ($resultat) ;
	     $lgn_devoir .= generation_progression ($date_courante." 00:00:00", "", $id_classe, 5, $ligne [0], $theme_h [$i%$theme_h [0]+1], "", 1, $theme_h) ;
	    }
	   $lgn_devoir .= "</table>&nbsp;" ;
	  }
	 Else
	  {
	   If ($type_agenda == 2) { $lgn_devoir .= "<font size=\"-6\"><b>Devoir&nbsp;:&nbsp;<br>" ; }
	   $lgn_devoir .= "<br>&nbsp;Aucun</b></font><br>&nbsp;" ;
	  }
	}
       $lgn_travail .= "</td>" ;
       $lgn_devoir .= "</td>" ;
      }
    }
   If (($type_agenda == 1) Or ($type_agenda == 2)) { $lgn .= "<tr>".$lgn_travail."</tr>" ; }
   If (($type_agenda == 0) Or ($type_agenda == 2)) { $lgn .= "<tr>".$lgn_devoir."</tr>" ; }
   $lgn .= "</table>" ;
   Return $lgn ;
  }
?>