<?php
 Session_Start () ;
 If (!$_SESSION ["repertoire_config"]) { Header ("Location: ../../") ; }
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;

 $id_etab = var_courante ("id_etab", 0, Null) ;
 $millesime = millesime (0) ;

 $action = var_courante ("action", 0, null) ;
 If (IsSet ($action) And ($action == 1))
  {
   Include ("../../include/garennes_xml.php") ;
   $ok = SQL_commande ("SET character_set_results='latin1'", $id_sql) ;
   If (IsSet ($id_etab) And ($id_etab > 0))
    {
     // Recherche etablissement
     $etab = SQL_commande ("SELECT numero,nom,cp FROM etablissements WHERE id_etablissement='".$id_etab."' LIMIT 1", $id_sql) ;
     $e = SQL_ligne_suivante ($etab) ;
     $table_etablissement ["rne"] = $e [0] ;
     $table_etablissement ["nom"] = UTF8_Encode ($e [1]) ;
     $table_etablissement ["cp"] = $e [2] ;

     // Recherche classes : Faire la rechercher des profs principaux
     $table_classes = Array () ;
     $table_groupes_classe = Array () ;
     //$limites_periodes = Array () ; // Limites de periodes
     $nombre = var_courante ("nombre", 0, 0) ;
     $ok = 0 ;
     $requete = "SELECT c.id_classe,c.nom_bref as nom_court,c.nom as nom_long,p.nombre,c.num_periode FROM classes c,types_periode p WHERE p.id_type_periode=c.periode AND (" ;
     For ($i = 0 ; $i < $nombre ; $i++)
      {
       $id_classe = var_courante ("id_cl_".$i, 0, 0) ;
       If ($id_classe > 0)
        {
         If ($ok == 1) { $requete .= " OR " ; }
         $requete .= "c.id_classe='".$id_classe."'" ;
         $ok = 1 ;
        }
      }
     If ($ok == 1) { $requete .= ")" ; }
     $classes = SQL_commande ($requete, $id_sql) ;
     While ($cl = SQL_tableau_associatif ($classes, ""))
      {
       $table_groupes_classe [$cl ["nom_court"]] = Array () ;
       $table_classes [$cl ["nom_court"]] = Array (
                             "code" => $cl ["nom_court"],
                             "classe" => $cl ["nom_court"],
                             "id" => $cl ["id_classe"],
                             "nom" => $cl ["nom_long"],
                             "annee" => StrFTime ("%Y"),
                             "niveau" => "terminale",
                             "decoupage" => $cl ["nombre"]
                            ) ;
       // On s'occupe des limites de periodes, pour n'exporter que jusqu'a la derniere periode saisie
       If (!Array_Key_Exists ($cl ["nombre"], $limites_periodes))
        {
         $per = var_courante ("per_".$cl ["id_classe"], 0, $cl ["num_periode"]-1) ;
         $limites_periodes [$cl ["nombre"]] = $per ;
        }
      }
     // Recherche eleves
     $table_eleves = Array () ;
     ForEach ($table_classes as $classe)
      {
       $liste_eleves = SQL_commande ("SELECT id_eleve,login,repere2,nom,prenoms,date_naissance FROM eleves
                                      WHERE classe = '".$classe ["id"]."' ORDER BY nom,prenoms", $id_sql) ;
       While ($eleve = SQL_tableau_associatif ($liste_eleves, ""))
        {
         $table_eleves [$eleve ["login"]] = Array () ;
         $table_eleves [$eleve ["login"]]["id_eleve"] = $eleve ["id_eleve"] ;
         $table_eleves [$eleve ["login"]]["code"] = $eleve ["login"] ;
         $table_eleves [$eleve ["login"]]["login"] = $eleve ["login"] ;
         $table_eleves [$eleve ["login"]]["ine"] = $eleve ["repere2"] ;
         $table_eleves [$eleve ["login"]]["nom"] = $eleve ["nom"] ;
         $table_eleves [$eleve ["login"]]["prenom"] = $eleve ["prenoms"] ;
         $table_eleves [$eleve ["login"]]["date-naissance"] = $eleve ["date_naissance"] ;
         $table_eleves [$eleve ["login"]]["code-classe"] = $classe ["code"] ;
        }
      }

     // On boucle d'abord sur les eleves, puis sur les periodes, puis les enseignements.
     // On va renseigner au fur et a mesure les information de 'services-notations' et 'enseignants'
     $table_services_notations = Array () ;
     $table_enseignants = Array () ;
     $table_matieres = Array () ;
     ForEach ($table_eleves as &$eleve)
      {
       $annee = $table_classes [$eleve ["code-classe"]]["annee"] ;
       $eleve ["annees-scolaires"] = Array ($annee => Array ("annee" => $annee,
                                                             "code-classe" => $eleve ["code-classe"],
                                                             "bulletins" => Array ()
                                                            )
                                           ) ;
       // Boucle sur les periodes de l'annee en cours
       //$limites_periodes [$table_classes [$eleve ["code-classe"]]["decoupage"]] = 2 ;
       For ($i = 1 ; $i <= $limites_periodes [$table_classes [$eleve ["code-classe"]]["decoupage"]] ; $i++)
        {
         $eleve ["annees-scolaires"][$annee]["bulletins"][$i] = Array ("trimestre" => $i, "notes" => Array ()) ;
         // Recuperation de tous les services prof avec moyenne associee, appreciation et coefficient
         $req_notes = SQL_commande ("SELECT m.service_classe,m.service_prof,m.valeur,a.texte,a.classe,s.coefficient
                                     FROM moyennes m,appreciations a,services_prof s
                                     WHERE m.eleve='".$eleve ["id_eleve"]."' AND m.periode='".$i."' AND m.type='".NOTE_MOY_ELEVE_DISC."'
                                       AND m.service_prof=a.service_prof AND m.eleve=a.eleve AND m.periode='".$i."'
                                       AND m.service_prof=s.id_service_prof", $id_sql) ;
         // On passe les notes une par une
         While ($note = SQL_tableau_associatif ($req_notes))
          {
           $note_id_groupe = $note ["service_prof"] ;
           $note_note = arrondi_note ($note ["valeur"], 1) ;
           $note_rang = 0 ;
           $note_appreciation = $note ["texte"] ;
           If (Is_Numeric ($note_note)) { $note_statut = '' ; } Else { $note_statut = $note_note ; }
           $note_classe = $note ["classe"] ;
           $note_coefficient = arrondi_note ($note ["coefficient"], 1) ;
           // On enregistre ce groupe dans la liste des services_notations s'il n'y est pas deja
           If (!Array_Key_Exists ($note_id_groupe."_".$i, $table_services_notations))
            {
             $groupe_id = $note ["service_prof"] ;
             $stats_sp = SQL_commande ("SELECT professeur,groupe_classe FROM services_prof WHERE id_service_prof='".$groupe_id."' LIMIT 1", $id_sql) ;
             $stat_alias = SQL_ligne_suivante ($stats_sp) ;
             If ($stat_alias [0] > 0)
              {
               $stats = SQL_commande ("SELECT u.login,u.numen,u.nom,u.prenom,d.code,d.nom_long
                                         FROM services_prof s,utilisateurs u,disciplines d
                                        WHERE s.id_service_prof='".$groupe_id."' AND s.professeur=u.id_utilisateur
                                          AND s.discipline=d.id_discipline LIMIT 1", $id_sql) ;
               If (SQL_nbr_lignes ($stats) == 1)
                {
                 $stat_mat = SQL_ligne_suivante ($stats) ;
                 $groupe_login = $stat_mat [0] ;
                 $groupe_matiere = $stat_mat [4] ;
                 $groupe_nom_complet = $stat_mat [5] ;
                }
               Else
                {
                 $groupe_login = $groupe_matiere = $groupe_nom_complet = "" ;
                 $stat_mat [0] = $stat_mat [1] = $stat_mat [2] = $stat_mat [3] = $stat_mat [4] = $stat_mat [5] = "" ;
                }
              }
             Else
              {
               // Gestion de l'alias
               $resultats = SQL_commande ("SELECT u.login,u.numen,u.nom,u.prenom FROM utilisateurs u,groupes_alias a
                                           WHERE a.id_alias='".(-$stat_alias [0])."' AND a.id_utilisateur=u.id_utilisateur AND a.numero='1' LIMIT 1", $id_sql) ;
               $ens = SQL_ligne_suivante ($resultats) ;
               $stats = SQL_commande ("SELECT d.code,d.nom_long FROM services_prof s,disciplines d
                                        WHERE s.id_service_prof='".$groupe_id."' AND s.discipline=d.id_discipline LIMIT 1", $id_sql) ;
               $stat = SQL_ligne_suivante ($stats) ;
               $groupe_login = $ens [0] ;
               $groupe_matiere = $stat [0] ;
               $groupe_nom_complet = $stat [1] ;
               $stat_mat [0] = $ens [0] ;
               $stat_mat [1] = $ens [1] ;
               $stat_mat [2] = $ens [2] ;
               $stat_mat [3] = $ens [3] ;
               $stat_mat [4] = $stat [0] ;
               $stat_mat [5] = $stat [1] ;
              }
             // Effectif classe ou groupe de classe
             If ($stat_alias [1] == 0) { $effectif = effectif ($note_classe) ; }
             Else
              {
               $grp = SQL_commande ("SELECT COUNT(id_groupe_eleve) FROM groupes_eleve WHERE groupe='".$stat_alias [1]."'", $id_sql) ;
               $nbr_grp = SQL_ligne_suivante ($grp) ;
               $effectif = $nbr_grp [0] ;
              }
             // Moyenne/Maximum et Minimum discipline
             $note_moy = $note_max = $note_min = '' ;
             $stats = SQL_commande ("SELECT valeur,type FROM moyennes WHERE eleve='".$eleve ["id_eleve"]."' AND periode='".$i."' AND millesime='".$millesime."'
                                     AND (type='".NOTE_MOY_CLASSE_DISC."' OR type='".NOTE_MAX_CLASSE_DISC."' OR type='".NOTE_MIN_CLASSE_DISC."') LIMIT 3", $id_sql) ;
             If (SQL_nbr_lignes ($stats) > 0)
              {
               While ($stat = SQL_ligne_suivante ($stats))
                {
                 Switch ($stat [1])
                  {
                   Case NOTE_MOY_CLASSE_DISC : $note_moy = $stat [0] ; Break ;
                   Case NOTE_MAX_CLASSE_DISC : $note_max = $stat [0] ; Break ;
                   Case NOTE_MIN_CLASSE_DISC : $note_min = $stat [0] ; Break ;
                  }
                }
              }
             $table_services_notations [$groupe_id."_".$i] = Array ("code" => $groupe_id,
                                                                    "annee" => $annee,
                                                                    "trimestre" => $i,
                                                                    "code-enseignant" => $groupe_login,
                                                                    "code-matiere" => $groupe_matiere,
                                                                    "effectif" => $effectif,
                                                                    "moyenne-classe" => $note_moy,
                                                                    "moyenne-haute" => $note_max,
                                                                    "moyenne-basse" => $note_min) ;
             // Nouvel enseignant
             If (!Array_Key_Exists ($groupe_login, $table_enseignants))
              {
               $table_enseignants [$groupe_login] = Array ("code" => $groupe_login, "nom" => $stat_mat [2], "prenom" => $stat_mat [3]) ;
              }
             // Idem pour la matiere
             If (!Array_Key_Exists ($groupe_matiere, $table_matieres))
              {
               $table_matieres [$groupe_matiere] = Array ("code" => $groupe_matiere, "libelle" => $groupe_nom_complet) ;
              }
            }

           // Coefficient
           If (!Array_Key_Exists ($note_id_groupe, $table_groupes [$eleve ["code-classe"]]))
            {
             $table_groupes [$eleve ["code-classe"]][$note_id_groupe]["coef"] = $note_coefficient ;
            }
           // Statut de la notation :
           Switch ($note_statut)
            {
             Case 'a' : $statut_note = 'A' ; Break ;
             Case 'n' : $statut_note = 'N' ; Break ;
             Case '-' : $statut_note = 'N' ; Break ;
             Case 'd' : $statut_note = 'D' ; Break ;
              Default : $statut_note = 'S' ;
            }
           $eleve ["annees-scolaires"][$annee]["bulletins"][$i]["notes"][$note_id_groupe] = Array (
                 "code-service-notation" => $note_id_groupe."_".$i,
                 "etat" => $statut_note,
                 "moyenne" => $note_note,
                 "rang" => $note_rang,
                 "appreciation" => $note_appreciation,
                 "coefficient" => $table_groupes [$eleve ["code-classe"]][$note_id_groupe]["coef"]) ;
          }
        }
      }
     // Calcul des rangs
     
     // Exportation
     $nom_fichier = $table_etablissement ["rne"]."_E".$numero_export.".xml" ;
     Header ("Content-Type: text/xml") ;
     Header ("Content-Disposition: attachment; filename=".$nom_fichier) ;
     Echo garennes_generation_apb ($version_garennes,$table_etablissement,$table_classes,$table_services_notations,
                                   $table_matieres,$table_enseignants,$table_eleves) ;
     Exit ;
    }
  }
 
 If (!IsSet ($titre)) { $fenetre = 1 ; }
 
 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ;
 
 Echo "<html><head>" ;
 entete_html ("Garennes", "", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 Include ("./admission_post_bac.js") ;
 Echo "</head>" ;
 
 // Gestion
 $gestion = SQL_commande ("SELECT * FROM gestion ORDER BY millesime DESC LIMIT 1", $id_sql) ;
 $ges = SQL_tableau_associatif ($gestion, "") ;
 
 Echo "<body background=\"../images/fond.png\" text=\"#000000\" onContextMenu=\"return false\">" ;
 Echo "<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\">" ;
 Echo "<tr><td align=\"center\"><font color=\"#0000ff\"><b>Admission Post Bac</b></font></td></tr>" ;
 
 If (!IsSet ($id_etab))
  {
   $etabs = SQL_commande ("SELECT * FROM etablissements WHERE millesime='".$millesime."' ORDER BY numero,nom", $id_sql) ;
   $nbr_etabs = SQL_nbr_lignes ($etabs) ;
   If ($nbr_etabs > 0)
    {
     Echo "<tr><td>&nbsp;</td></tr>" ;
     Echo "<tr><td align=\"center\">Choisissez l'&eacute;tablissement concern&eacute;.</td></tr>" ;
     Echo "<tr><td>&nbsp;</td></tr>" ;
     Echo "<form action=\"./admission_post_bac.php\" method=\"post\" name=\"formulaire\">" ;
     Echo "<tr><td align=\"center\"><select name=\"id_etab\">" ;
     For ($i = 0 ; $i < $nbr_etabs ; $i++)
      {
       $etab = SQL_tableau_associatif ($etabs, "") ;
       Echo "<option value=\"".$etab ["id_etablissement"]."\">" ;
       Echo "(".$etab ["numero"].")&nbsp;".$etab ["nom"]."&nbsp;</option>" ;
      }
     Echo "</select></td></tr>" ;
     Echo "<tr><td>&nbsp;</td></tr>" ;
     Echo "<tr><td align=\"center\">" ;
     Echo "<input type=\"hidden\" name=\"code\" value=\"".$_SESSION ["code"]."\">" ;
     Echo "<input type=\"image\" src=\"../images/valider.png\" name=\"requete\" value=\"Valider\" border=\"0\">" ;
     Echo "</td></tr>" ;
     Echo "</form>" ;
    }
   Else
    {
     // Pas d'etablissements scolaires
     Echo "<tr><td align=\"center\"><br><br>Il n'y a aucun &eacute;tablissement scolaire dans la base de donn&eacute;es.<br>" ;
     Echo "<br>Cr&eacute;er les &eacute;tablissements d'abord.<br><br>" ;
     Echo "(&nbsp;Connexion DIRECTION -> Param&egrave;tres -> &Eacute;tablissements&nbsp;)</td></tr>" ;
    }
  }
 Else
  {
   // Cherche le nom des classes
   $classe = SQL_commande ("SELECT * FROM classes WHERE etablissement='".$id_etab."' AND millesime='".$millesime."' ORDER BY nom_bref", $id_sql) ;
   $nbr_cl = SQL_nbr_lignes ($classe) ;
   If ($nbr_cl > 0)
    {
     Echo "<tr><td align=\"center\">Choisissez la (ou les) classes dont vous voulez le fichier d'importation XML.</td></tr>" ;
     Echo "<tr><td><table border=\"1\" bgcolor=\"".$l ["couleur_fond"]."\" align=\"center\" cellspacing=\"2\" cellpadding=\"0\" style=\"border:1px solid #000000;border-collapse:collapse\">" ;
     Echo "<tr><td><table border=\"0\" align=\"center\" cellspacing=\"0\" cellpadding=\"0\" style=\"border-collapse:collapse\">" ;
     Echo "<tr bgcolor=\"".$l ["lien"]."\">" ;
     Echo "<td><small>Tout</small><br><input type=\"checkbox\" name=\"tous\" value=\"1\" OnChange=\"valide(0,".$nbr_cl.");\"></td>" ;
     Echo "<td align=\"center\">&nbsp;</td>" ;
     Echo "<td align=\"left\">&nbsp;<b>Nom</b>&nbsp;</td>" ;
     Echo "<td align=\"left\">&nbsp;<b>P&eacute;riode&nbsp;maximale</b>&nbsp;</td>" ;
     Echo "</tr>" ;
     Echo "<form action=\"./admission_post_bac.php\" method=\"post\" name=\"formulaire\">" ;
     For ($i = 0 ; $i < $nbr_cl ; $i++)
      {
       $cl = SQL_tableau_associatif ($classe, "") ;
       Echo "<tr" ; If ($i%2) { Echo " bgcolor=\"".$l ["nom"] ; }
       Echo "\"><td><input type=\"checkbox\" name=\"id_cl_".$i."\" value=\"".$cl ["id_classe"]."\"></td>" ;
       Echo "<td align=\"center\">&nbsp;(".$cl ["nom_bref"].")&nbsp;</td>" ;
       Echo "<td align=\"left\">&nbsp;".$cl ["nom"]."&nbsp;</td>" ;
       Echo "<td align=\"left\">&nbsp;" ;
       For ($j = 1 ; $j <= $cl ["num_periode"] ; $j++)
        {
         Echo "<input type=\"radio\" name=\"per_".$cl ["id_classe"]."\" value=\"".$j."\"" ;
         If ($j == $cl ["num_periode"]-1) { Echo " checked" ; }
         Echo ">&nbsp;".$j."&nbsp;&nbsp;&nbsp;" ;
        }
       Echo "</td></tr>" ;
      }
     Echo "</table>" ;
     Echo "</td></tr></table>" ;
     Echo "</td></tr>" ;
     Echo "<tr>" ;
     Echo "<td align=\"center\">" ;
     Echo "<input type=\"hidden\" name=\"code\" value=\"".$_SESSION ["code"]."\">" ;
     Echo "<input type=\"hidden\" name=\"action\" value=\"1\">" ;
     Echo "<input type=\"hidden\" name=\"nombre\" value=\"".$nbr_cl."\">" ;
     Echo "<input type=\"hidden\" name=\"id_etab\" value=\"".$id_etab."\">" ;
     Echo "<input type=\"image\" src=\"../images/valider.png\" name=\"requete\" value=\"Valider\" border=\"0\">" ;
     Echo "</td></tr>" ;
     Echo "</form>" ;
    }
   Else
    {
     Echo "<tr><td align=\"center\"><br><br>Il n'y a aucune classe dans la base de donn&eacute;es.<br><br>Cr&eacute;er les classes d'abord.<br><br>" ;
     Echo "(&nbsp;Connexion SECRETARIAT -> Ajouter une classe&nbsp;)</td></tr>" ;
    }
  }
 Echo "</table></body></html>" ;
?>